BoostingTermQuery.BoostingTermWeight.BoostingSpanScorer (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.payloads.BoostingTermQuery.BoostingTermWeight.BoostingSpanScorer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.payloads
Class BoostingTermQuery.BoostingTermWeight.BoostingSpanScorer

    java.lang.Object
      org.apache.lucene.search.DocIdSetIterator
          org.apache.lucene.search.Scorer
              org.apache.lucene.search.spans.SpanScorer
                  org.apache.lucene.search.payloads.BoostingTermQuery.BoostingTermWeight.BoostingSpanScorer

Enclosing class:
  BoostingTermQuery.BoostingTermWeight

    protected class BoostingTermQuery.BoostingTermWeight.BoostingSpanScorer

extends SpanScorer

Field Summary
`protected float` | `payloadScore`

Fields inherited from class org.apache.lucene.search.spans.SpanScorer
`doc, firstTime, freq, more, norms, spans, value, weight`

Constructor Summary
`BoostingTermQuery.BoostingTermWeight.BoostingSpanScorer(TermSpans spans, Weight weight, Similarity similarity, byte[] norms)`

Method Summary
`Explanation` | `explain(int doc)` Returns an explanation of the score for a document.
`protected void` | `processPayload(Similarity similarity)`
`float` | `score()` Returns the score of the current document matching the query.
`protected boolean` | `setFreqCurrentDoc()`

Methods inherited from class org.apache.lucene.search.spans.SpanScorer
`doc, next, skipTo`

Methods inherited from class org.apache.lucene.search.Scorer
`getSimilarity, score, score`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### payloadScore

    protected float payloadScore

Constructor Detail

### BoostingTermQuery.BoostingTermWeight.BoostingSpanScorer

    public BoostingTermQuery.BoostingTermWeight.BoostingSpanScorer(TermSpans spans,
                                                                   Weight weight,
                                                                   Similarity similarity,
                                                                   byte[] norms)
                                                            throws IOException

Throws:
  `IOException`

Method Detail

### setFreqCurrentDoc

    protected boolean setFreqCurrentDoc()
                                 throws IOException

  Overrides:
    `setFreqCurrentDoc` in class `SpanScorer`
  Throws:
    `IOException`

### processPayload

    protected void processPayload(Similarity similarity)
                           throws IOException

  Throws:
    `IOException`

### score

    public float score()
                throws IOException

  Description copied from class: `Scorer`
  Returns the score of the current document matching the query. Initially invalid, until `DocIdSetIterator.next()` or `DocIdSetIterator.skipTo(int)` is called the first time.

  Overrides:
    `score` in class `SpanScorer`
  Throws:
    `IOException`

### explain

    public Explanation explain(int doc)
                        throws IOException

  Description copied from class: `Scorer`
  Returns an explanation of the score for a document.
  When this method is used, the `DocIdSetIterator.next()`, `DocIdSetIterator.skipTo(int)` and `Scorer.score(HitCollector)` methods should not be used.

  Overrides:
    `explain` in class `SpanScorer`
  Parameters:
    `doc` - The document number for the explanation.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.